require 'minitest/autorun'
require 'is_assertions'
require_relative 'user'

class IsAssertionsTest < MiniTest::Unit::TestCase

	def setup
		@user = User.new
	end

	def test_does_not_raise
		@user.age = 25
	end

	def test_raises_right_exception
		assert_raises IsAssertions::IsAssertionsError do
			@user.age = "Bob"			
		end
	end

	def test_raises_from_the_right_line_of_code
		raised = false
		begin
		  @user.age = "Bob"
		rescue => e
			raised = true
			assert_match /user[.]rb[:]6[:]/, e.backtrace[0]
		end
		assert raised, "Error wasn't raised"
	end

	def test_raises_right_kind_of_exception
		raised = false
		begin
			@user.age = "Bob"
		rescue => e
			raised = true
			assert_kind_of StandardError, e
		end
		assert raised, "Error wasn't raised"
	end

end